org.apache.solr.client.solrj.request.schema

## Class AnalyzerDefinition

- java.lang.Object
- - org.apache.solr.client.solrj.request.schema.AnalyzerDefinition

    public class AnalyzerDefinition
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AnalyzerDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Object>` `getAttributes()`
`List<Map<String,Object>>` `getCharFilters()`
`List<Map<String,Object>>` `getFilters()`
`Map<String,Object>` `getTokenizer()`
`void` `setAttributes(Map<String,Object> attributes)`
`void` `setCharFilters(List<Map<String,Object>> charFilters)`
`void` `setFilters(List<Map<String,Object>> filters)`
`void` `setTokenizer(Map<String,Object> tokenizer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnalyzerDefinition

    public AnalyzerDefinition()

### Method Detail

#### getAttributes

    public Map<String,Object> getAttributes()

#### setAttributes

    public void setAttributes(Map<String,Object> attributes)

#### getCharFilters

    public List<Map<String,Object>> getCharFilters()

#### setCharFilters

    public void setCharFilters(List<Map<String,Object>> charFilters)

#### getTokenizer

    public Map<String,Object> getTokenizer()

#### setTokenizer

    public void setTokenizer(Map<String,Object> tokenizer)

#### getFilters

    public List<Map<String,Object>> getFilters()

#### setFilters

    public void setFilters(List<Map<String,Object>> filters)